Get User Search
This endpoint is responsible for fetching a list of users with specific criteria. For more information, check the specification: https://tools.ietf.org/html/rfc7644#section-3.4.2.
The VMware Identity Services tenant ID
my-tenant
When specified, only those resources matching the filter expression SHALL be returned. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.2).
Specifies the attribute whose value. SHALL be used to order the returned responses. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.3).
The order in which the sortBy parameter is applied. Allowed values are ascending and descending. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.3).
The 1-based index of the first result in the current set of list results. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.4).
The number of resources returned in a list response. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.4).
Return resources with only requested and always returned attributes. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.5).
name,meta
Return resources with all default and always returned attributes without excluded attributes. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.5).
name,meta
Successfully fetched the list of users.
{
"resources": [
{
"name": {
"middleName": "MyMiddleName",
"familyName": "MyFamilyName",
"givenName": "MyGivenName"
},
"displayName": "My Display Name",
"profileUrl": "https://example.com/usergroup/scim/v2/Users/da916af2-4c19-4ddb-89bd-363dbb79da29",
"active": true,
"nickName": "My Casual Name",
"emails": [
{
"value": "[email protected]",
"primary": "true",
"display": "my work email"
}
],
"phoneNumbers": [
{
"value": "555-555-5555",
"type": "work",
"primary": true
}
],
"photos": [
{
"value": "https://photos.example.com/profilephoto/72930000000Ccne/F",
"type": "photo",
"primary": true,
"display": "Example photo"
}
],
"ims": [
{
"value": "[email protected]",
"type": "skype",
"primary": true,
"display": "ims_example"
}
],
"addresses": [
{
"type": "home",
"region": "CA",
"country": "USA",
"primary": true,
"formatted": "456 Hollywood Blvd\nHollywood, CA 91608 USA",
"streetAddress": "456 Hollywood Blvd",
"postalCode": "91608",
"locality": "Hollywood"
}
],
"userName": "my_user_name",
"title": "Example title",
"groups": [
{
"value": "e9e30dba-f08f-4109-8486-d5c6a331660a",
"$ref": "https://example.com/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a",
"display": "Example Group"
}
],
"id": "string",
"meta": {
"location": "string",
"version": "string",
"lastModified": "string",
"resourceType": "string",
"created": "string"
},
"externalId": "string",
"schemas": [
"string"
]
}
],
"startIndex": 0,
"totalResults": 0,
"itemsPerPage": 0,
"id": "string",
"meta": {
"location": "string",
"version": "string",
"lastModified": "string",
"resourceType": "string",
"created": "string"
},
"externalId": "string",
"schemas": [
"string"
]
}
The request contains invalid information.
Unexpected error.
curl -H 'Authorization: <value>' https://{api_host}/usergroup/t/{tenant}/scim/v2/Users